// Fill out your copyright notice in the Description page of Project Settings.


#include "DataAssets/RRDADataAssetDSAdapterCovers.h"

TArray<FTransform> URRDADataAssetDSAdapterCovers::GetWorldTransforms(FTransform OriginTransform) {
	TArray<FTransform> transforms;

	for (FRRDADSAdapterCoverDetails CoverDetails : mCovers) {
		FVector location = OriginTransform.TransformPosition(CoverDetails.mRelativeTransform.GetLocation());
		FQuat rotation = OriginTransform.TransformRotation(CoverDetails.mRelativeTransform.GetRotation());
		transforms.Add(FTransform(rotation, location, FVector(1.0f)));
	}

	return transforms;
}
