﻿// Fill out your copyright notice in the Description page of Project Settings.

#include "DataAssets/RRDADirtDataAsset.h"

#include "RefinedRDApi.h"

TArray<FItemAmount> URRDADirtDataAsset::GetExtractableSeed(URRDADirtDataAsset* Asset)
{
	if(!Asset)
	{
		return TArray<FItemAmount>();
	}
	return Asset->mExtractableSeed;
}

float URRDADirtDataAsset::GetExtractionCycleTime(URRDADirtDataAsset* Asset) {
	if(!Asset)
	{
		return 0.f;
	}
	return Asset->mExtractionCycleTime;
}
	
int32 URRDADirtDataAsset::GetDirtConsume(URRDADirtDataAsset* Asset) {
	if(!Asset)
	{
		return 0;
	}
	return Asset->mDirtConsume;
}